Bug 1569570 - Unable to unset Content View or Lifecycle Environment from Activation Key
Summary: Unable to unset Content View or Lifecycle Environment from Activation Key
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Activation Keys
Version: 6.3.1
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: 6.4.0
Assignee: Partha Aji
QA Contact: Jameer Pathan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-19 14:04 UTC by Dylan Gross
Modified: 2019-11-05 23:16 UTC (History)
4 users (show)

Fixed In Version: tfm-rubygem-katello-3.7.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:15:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 20999 0 'Low' 'Closed' '[Activation Keys] You cannot unselect a content view + lifecycle environment in webui' 2019-11-15 08:41:13 UTC
Red Hat Knowledge Base (Solution) 3420091 0 None None None 2018-04-20 15:32:57 UTC

Description Dylan Gross 2018-04-19 14:04:54 UTC
Description of problem:

  Content View and Lifecycle Environment are not required to create an Activation Key.  Once set, however, they cannot be removed from an activation key.

Version-Release number of selected component (if applicable):

  Red Hat Satellite 6.3.1


How reproducible:


Steps to Reproduce:
1.   Create activation key without Lifecycle Environment or Content View
2.   After creation, set LE and CV
3.   WebUI provides no mechanism to remove CV. And LE stays checked.

Actual results:

  No mechanism to completely remove Lifecycle Environment or Content View from Activation Key

Expected results:

  If Lifecycle Environment and Content View are mandatory, then they should be required at creation time.  If they are not mandatory, then a mechanism to remove the Lifecycle Environment and Content View should be provided.


Additional info:

Comment 4 Jameer Pathan 2018-09-21 08:50:48 UTC
Verified:
@satellite 6.4.0 snap 22

steps:
1. Create activation key without Lifecycle Environment or Content View
2. After creation, set LE and CV
3. once activation key is successfully updated, remove Lifecycle Environment or Content View

observation:
Lifecycle Environment or Content View removed successfully

Comment 5 Bryan Kearney 2018-10-16 19:15:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.